Part Box: Difference between revisions

From FreeCAD Documentation
(restored translate)
(Marked this version for translation)
Line 1: Line 1:
<translate>
<translate>
<!--T:18-->
{{GuiCommand|Name=Part Box|MenuLocation=Part → Box||Workbenches=[[Part Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
{{GuiCommand|Name=Part Box|MenuLocation=Part → Box||Workbenches=[[Part Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}


==Description==
==Description== <!--T:19-->
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.


<!--T:20-->
[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box.jpg|400px|Part_Box]]


==How to Use==
==How to Use== <!--T:21-->
* Click the cube icon {{KEY|[[Image:Part Box.svg|30px]]}} from the Part Workbench.
* Click the cube icon {{KEY|[[Image:Part Box.svg|30px]]}} from the Part Workbench.
* Alternatively, you can select {{MenuCommand|Part → Primitives → Cube}} from the menu bar.
* Alternatively, you can select {{MenuCommand|Part → Primitives → Cube}} from the menu bar.


==Options==
==Options== <!--T:22-->
* Via the [[Property_editor | Property Editor]]:
* Via the [[Property_editor | Property Editor]]:
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
Line 19: Line 21:
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties==
==Properties== <!--T:23-->
{{Properties_Title|Base}}
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]].
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]].
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


<!--T:24-->
{{Properties_Title|Box}}
{{Properties_Title|Box}}
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
Line 29: Line 32:
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.


<!--T:25-->
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]


==Scripting==
==Scripting== <!--T:26-->
The Box command can by used in [[macros]] and from the python console using the following function:
The Box command can by used in [[macros]] and from the python console using the following function:
</translate>
</translate>
Line 38: Line 42:
</syntaxhighlight>
</syntaxhighlight>
<translate>
<translate>
<!--T:27-->
* Where "myBox" is the label for the Box object.
* Where "myBox" is the label for the Box object.
* Returns newly created object of type Box.
* Returns newly created object of type Box.


<!--T:28-->
You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.
</translate>
</translate>
Line 49: Line 55:
</syntaxhighlight>
</syntaxhighlight>
<translate>
<translate>
==FreeCAD - Version==
==FreeCAD - Version== <!--T:29-->




<!--T:30-->
*{{Version|0.14}}
*{{Version|0.14}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".

Revision as of 19:54, 6 September 2015

Part Box

Menu location
Part → Box
Workbenches
Part, Complete
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

How to Use

  • Click the cube icon from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Options

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Properties

Base

  • DataPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement.
  • DataLabel: Label given to the Box object. Change to suit your needs.

Box

  • DataLength: The length parameter is the Box's dimension in the x-direction.
  • DataWidth: The width parameter is the Box's dimension in the y-direction.
  • DataHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.length = 25
FreeCAD.ActiveDocument.myBox.width = 15
FreeCAD.ActiveDocument.myBox.height = 30

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".